System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Data.InternalDataCollectionBase System.ComponentModel.DefaultEvent("CollectionChanged") System.ComponentModel.Editor("Microsoft.VSDesigner.Data.Design.ColumnsCollectionEditor, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")

The defines the schema of a , and determines what kind of data each can contain. You can access the through the property of the object.

The uses the and methods to insert and delete objects. Use the property to determine how many objects are in the collection. Use the method to verify whether a specified index or column name exists in the collection.

Represents a collection of objects for a .

- Method
  System.Data.DataColumn

  A default name ("Column1", "Column2", and so on) is given to the column.

  If the collection is successfully changed by adding or removing columns, the event occurs.

  Creates and adds a object to the .

  The newly created .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  If the collection is successfully changed by adding or removing columns, the event occurs.

  Creates and adds the specified object to the .

  The to add. 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataColumn ``

  By default, the for the new column is string.

  If null or an empty string ("") is passed in for the name, a default name ("Column1", "Column2", and so on) is given to the column.

  Use the method to determine whether a column with the proposed name already exists in the collection.

  If the collection is successfully changed by adding or removing columns, the event occurs.

  Creates and adds a object that has the specified name to the .

  The newly created .

  The name of the column. 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataColumn `` ``

  If null or an empty string ("") is passed in for the name, a default name ("Column1", "Column2", and so on) is given to the column.

  Use the method to determine whether a column with the proposed name already exists in the collection.

  If the collection is successfully changed by adding or removing columns, the event occurs.

  Creates and adds a object that has the specified name and type to the .

  The newly created .

  The to use when you create the column. The of the new column. 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataColumn `` `` ``

  If null or an empty string ("") is passed in for the name, a default name ("Column1", "Column2", and so on) is given to the column.

  Use the method to determine whether a column with the proposed name already exists in the collection.

  If the collection is successfully changed by adding or removing columns, the event occurs.

  Creates and adds a object that has the specified name, type, and expression to the .

  The newly created .

  The name to use when you create the column. The of the new column. The expression to assign to the property. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Copies the elements of the specified array to the end of the collection.

  The array of objects to add to the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean ``

  The method performs several checks before returning a true or false result. This includes the following: whether the column exists, belongs to the table, or is involved in a constraint or relation.

  Use the method before you try to remove any column from a collection. You can also use the method to determine whether a particular column exists before you try to remove it.

  Checks whether a specific column can be removed from the collection.

  true if the column can be removed. false if,

  The parameter is null.

  The column does not belong to this collection.

  The column is part of a relationship.

  Another column's expression depends on this column.

  A in the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  If the collection is successfully changed by adding or removing columns, the event occurs.

  Clears the collection of any columns.

  1.0.5000.0
  2.0.0.0
- Event
  System.ComponentModel.CollectionChangeEventHandler

  Use the and methods to determine whether a column exists and can be removed.

  Occurs when the columns collection changes, either by adding or removing a column.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean ``

  Use the method to confirm the existence of a column before you perform additional operations on the column. The method returns false when two or more columns have the same name but different namespaces. The call does not succeed if there is any ambiguity when matching a column name to exactly one column.

  Checks whether the collection contains a column with the specified name.

  true if a column exists with this name; otherwise, false.

  The of the column to look for. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Copies the entire collection into an existing array, starting at a specified index within the array.

  An array of objects to copy the collection into. The index to start from.
- Method
  System.Int32 ``

  The method is not case-sensitive.

  Gets the index of a column specified by name.

  The index of the column specified by if it is found; otherwise, -1.

  The name of the column to return. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` To be added

  Gets the index of the column with the specific name (the name is not case sensitive).

  The zero-based index of the column with the specified name, or -1 if the column does not exist in the collection.

  The name of the column to find. 1.0.5000.0 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.Data.DataColumn `` To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  System.Data.DataColumn `` To be added. To be added. To be added. To be added.
- Property
  System.Collections.ArrayList To be added: an object of type 'Collections.ArrayList' To be added

  Gets the list of collection items.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Raises the event.

  A expression. 1.0.5000.0
- Method
  1.0.5000.0
  System.Void `` To be added.

  Raises the event.

  A expression.
- Method
  System.Void ``

  If the collection is successfully changed by adding or removing columns, the event occurs.

  Removes the specified object from the collection.

  The to remove. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  If the collection is successfully changed by adding or removing columns, the event occurs.

  Removes the object that has the specified name from the collection.

  The name of the column to remove. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  If the collection is successfully changed by adding or removing columns, the event occurs.

  Removes the column at the specified index from the collection.

  The index of the column to remove. 1.0.5000.0 2.0.0.0